import type { AxiosInstance, AxiosRequestConfig, AxiosResponse } from 'axios';
export declare const STORAGE_KEY_TOKEN = "token";
export declare function getLocalToken(): string | null;
export declare function removeLocalToken(): void;
declare type Result<T> = {
    code: number;
    message: string;
    data: T;
};
export declare class Request {
    instance: AxiosInstance;
    baseConfig: AxiosRequestConfig;
    constructor(config: AxiosRequestConfig);
    request(config: AxiosRequestConfig): Promise<AxiosResponse>;
    get<T = any>(url: string, config?: AxiosRequestConfig): Promise<AxiosResponse<Result<T>>>;
    post<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<AxiosResponse<Result<T>>>;
    put<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<AxiosResponse<Result<T>>>;
    delete<T = any>(url: string, config?: AxiosRequestConfig): Promise<AxiosResponse<Result<T>>>;
}
declare const _default: Request;
export default _default;
